summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.travis.yml2
-rwxr-xr-xscript/bootstrap3
-rwxr-xr-xscript/cibuild9
3 files changed, 13 insertions, 1 deletions
diff --git a/.travis.yml b/.travis.yml
index 330677c..41039c1 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -2,7 +2,7 @@ rvm:
- 1.8.7
- 1.9.3
- 2.0.0
-script: 'rake spec'
+script: './script/cibuild'
env:
- PUPPET_VERSION=2.6.0
- PUPPET_VERSION=2.7.0
diff --git a/script/bootstrap b/script/bootstrap
new file mode 100755
index 0000000..0695797
--- /dev/null
+++ b/script/bootstrap
@@ -0,0 +1,3 @@
+#!/usr/bin/env sh
+
+bundle install --path vendor/gems --local
diff --git a/script/cibuild b/script/cibuild
new file mode 100755
index 0000000..d1c8c06
--- /dev/null
+++ b/script/cibuild
@@ -0,0 +1,9 @@
+#!/usr/bin/env sh
+
+set -e
+
+[ -z "${PUPPET_VERSION}" ] && script/bootstrap
+
+bundle exec rspec
+
+bundle exec puppet-lint --with-filename --fail-on-warnings manifests